The `IronComponents` components are created to help simplify the process of using `iron-*` web components.

```hint
Work in progress...
```


## Usage

```react
const { IronResizable } = IronComponents;
<div>
  <IronResizable>
    This is the children
  </IronResizable>
</div>
```








## Iron Components
The following components are implemented to transition from web components.

### `<IronCollapse/>`

```react
//const { IronCollapse } = IronComponents;
```

### `<IronResizable/>`

```react
//const { IronResizable } = IronComponents;
```

### `<IronMediaQuery/>`

```react
//const { IronMediaQuery } = IronComponents;
```


### `<IronSelector/>`

```react
//const { IronSelector } = IronComponents;
```







## Properties

```table
span: 6
rows:
  - Name: children
    Type: node
    Description: The child nodes.
```


### Styling
The following custom properties are available for styling.

```table
span: 6
rows:
  - Property: --iron-components
    Default: null
    Description: Mixin applied to entire element.
```
